## Sample Dofile with system variables and looping constructs.
## Lines beginning with '#' are comments.
##
unit mil
bestsave on ./cctbest.w
grid wire 1
grid via 1
#### Read Design Rules from dofile
# do rules.do
#### Fanout Power and signal
tax squeeze .2
fanout 5 (max_len -1)(pin_type active)(pin_share on)(via_share on)(share_len 100)
tax squeeze 1
#### Wrong-Way Routing costs
# limit way 300
# rule layer internal1(limit_way 250)
# cost way 50
# tax way 4
# cost layer sig2 50 (type way)
#### Router Tax/Cost
# tax cross 1.2
# tax squeeze .5
#### Initial Route phase
route 7
if (complete_wire < 100)
      then (clean 2)
#
#### Route phase 1
setexpr count (3)
while (count >0 && complete_wire < 100) 
      (
       setexpr comp_rate (complete_wire)
       route 5 11
       if (complete_wire < 100 && complete_wire > comp_rate)
          then (
                setexpr count (count - 1)
               )
          else (setexpr count (0))
      )
#
#### Route phase 2
if (complete_wire < 100)
      then (clean 2)
setexpr count2 (5)
while (count2 >0 && complete_wire < 100) 
      (       
       setexpr comp_rate2 (complete_wire)
       route 5 16
       if (complete_wire > comp_rate2)
          then (
                setexpr count2 (count2 - 1)
               )
          else (
                filter 5
                limit cross 1
                route 10 16
                setexpr count2 (0)
               )
      )
#
#### Route phase 3
if (complete_wire < 100)
      then (clean 2)
setexpr count3 (10)
while (count3 >0 && complete_wire < 100) 
      (       
       setexpr comp_rate3 (complete_wire)
       route 5 16
       if (complete_wire > comp_rate3)
          then (
                setexpr count3 (count3 - 1)
               )
          else (
                filter 5
                limit cross 0
                route 10 16
                setexpr count3 (0)
               )
      )
#
#### Final Cleanup
clean 5
write routes ./cct.rte
miter
write routes ./cctmiter.rte
report status ./cct.sts
